### Method

# Atspi Component get_position

#### Declaration [src]

    AtspiPoint*
    atspi_component_get_position (
      AtspiComponent* obj,
      AtspiCoordType ctype,
      GError** error
    )

#### Description [src]

Gets the minimum x and y coordinates of the specified `AtspiComponent`. The returned values are meaningful only if the Component has both STATE_VISIBLE and STATE_SHOWING.

#### Parameters

`ctype`

  Type: `AtspiCoordType`

  The desired coordinate system into which to return the results, (e.g. ATSPI_COORD_TYPE_WINDOW, ATSPI_COORD_TYPE_SCREEN).

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `AtspiPoint`

An `AtspiPoint` giving the `obj`‘s position.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.